.helper {
    color: $grey-600;
    cursor: pointer;
}

.parent {
    position: relative;
}

.tooltip {
    cursor: help;
    background-color: $grey-200;
    border: 1px solid $grey-300;
    border-radius: $border-radius;
    padding: $space * 3;
    position: absolute;
    top: 0;
    left: 50%;
    // left position = pointer left padding ($space * 4) + pointer size with rotation (~ $space * 1.5) + half of the default icon size (1.2em)
    transform: translate(-#{$space * 8.5}, calc(-100% - $space * 4));
    font-size: $font-size-small;
    color: $color-base-light;
    font-style: italic;
    transition: opacity 100ms ease-out;
    opacity: 0;
    box-shadow: 0 4px 8px rgba(19, 41, 61, 0.1);

    &.visible {
        opacity: 1;
    }

    .title {
        margin-top: 0;
    }

    .pointer {
        position: absolute;
        bottom: $space * -1.5;
        left: calc(#{$space * 8.5} - 0.7em);
        width: $space * 3;
        height: $space * 3;
        transform: rotate(45deg);
        background-color: $grey-200;
        border: 1px solid $grey-300;
        border-left-color: transparent;
        border-top-color: transparent;
    }
}
